<?php

if ( ! class_exists( 'Emercury_Forms_Advanced_Options' ) ) {

class Emercury_Forms_Advanced_Options {

    static function send_comment_from_post($comment_id, $comment = null)
    {
        $comment_id = (int) $comment_id;
        $comment = get_comment($comment_id);
        if(!$comment)
            return;

        if ($comment->comment_approved == 1) {
            self::subscribe_user_to_emercury($comment->comment_author_email, $comment->comment_author_IP);
        } else {
            return;
        }
    }

    static function comment_approved($comment)
    {
        self::subscribe_user_to_emercury($comment->comment_author_email, $comment->comment_author_IP);
    }

    static function grab_subscriber_from_registration($user_id)
    {   
        $user = get_userdata($user_id);
        if($user && !empty($user->user_email)) {
            $email = sanitize_email($user->user_email);
            $ip = self::get_request_ip();

            self::subscribe_user_to_emercury($email, $ip);
        }
    }

    private static function get_request_ip()
    {
        if(array_key_exists('HTTP_X_REAL_IP', $_SERVER)) {
            return $_SERVER['HTTP_X_REAL_IP'];
        }
        if(array_key_exists('HTTP_X_FORWARDED_FOR', $_SERVER)) {
            return trim(explode(',', $_SERVER['HTTP_X_FORWARDED_FOR'], 2)[0]);
        }
        if(array_key_exists('REMOTE_ADDR', $_SERVER)) {
            return $_SERVER['REMOTE_ADDR'];
        }
        return null;
    }

    private static function subscribe_user_to_emercury($email, $ip)
    {
        $data_subscriber = array();
        $data_subscriber['email'] = $email;
        $data_subscriber['optin_date'] = date('m/d/Y');
        $data_subscriber['optin_ip'] = $ip;
        $data_subscriber['optin_website'] = get_site_url();

        $list_id = get_option('emercury_form_select_list_subscriber_comment');
        $result = Emercury_API::updateSubscribers($data_subscriber, $list_id);
    }

}

}
