<?php

if ( ! class_exists( 'Emercury_Forms_Widget' ) ) {

class Emercury_Forms_Widget extends WP_Widget {

    public function __construct() {
        $widget_ops = array(
            'classname' => 'emercury_forms_widget',
            'description' => ''
        );
        parent::__construct( 'emercury_forms_widget', 'Emercury Forms', $widget_ops );
    }

    public function widget( $args, $instance ) {

        $id_shortcodes_emercury_forms = $instance['shortcodes_emercury_forms'];
        if ( !empty( $id_shortcodes_emercury_forms ) )
            echo do_shortcode('[emercury_forms id="'. $id_shortcodes_emercury_forms .'"]');
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['shortcodes_emercury_forms'] = ( ! empty( $new_instance['shortcodes_emercury_forms'] ) ) ? strip_tags( $new_instance['shortcodes_emercury_forms'] ) : '';
        return $instance;
    }

    public function form( $instance ) {

        $emercury_forms = new Emercury_WP_Integration();
        $emercury_forms_tbl = Emercury_WP_Integration::$table_emercury;
        $forms = $emercury_forms->_wpdb->get_results( "SELECT form_id, name FROM $emercury_forms_tbl" );
        
        if (count($forms)) { ?>

            <p>
                <label for="<?php echo $this->get_field_id( 'shortcodes_emercury_forms' ); ?>">Choose a shortcode</label>
                <select name="<?php echo $this->get_field_name( 'shortcodes_emercury_forms' ); ?>" id="<?php echo $this->get_field_id( 'shortcodes_emercury_forms' ); ?>">
                    <?php

                        foreach ( $forms as $form ) {
                            echo '<option value="' . intval( $form->form_id ) . '"'
                            . selected( $instance['shortcodes_emercury_forms'], $form->form_id, false )
                            . '>' . $form->name . "</option>\n";
                        }

                    ?>
                </select>
            </p>
            <?php

        } else {
            echo '<i>Failed to get shortcodes. Get the list of shortcodes on <a href="admin.php?page=emercury-forms.php">this page</a>, after which you can save the desired shortcode.</i>';
        }
    }
}

}
