<?php
/**
 * Emercury Forms uninstall procedure.
 */

// Make sure this is a legitimate uninstall request
if(!defined('ABSPATH') or !defined('WP_UNINSTALL_PLUGIN') or !current_user_can('delete_plugins')) {
    exit();
}

/**
 * Drop tables used by Emercury Forms plugin
 */
function emercury_forms_uninstall_db() {

    global $wpdb;
    $wpdb->query( 'DROP TABLE IF EXISTS ' . $wpdb->prefix . 'emercury_forms' );
}

/**
 * Delete Emercury Forms saved options
 */
function emercury_forms_uninstall_options() {
    $options = array(
        'emercury_form_email',
        'emercury_forms_sec_id',
        'emercury_form_add_subscriber_comment',
        'emercury_form_select_list_subscriber_comment',
        'emercury_form_add_subscriber_signup',
        'emercury_form_select_list_subscriber_signup'
    );
    foreach ($options as $option) {
        delete_option($option);
    }
}

emercury_forms_uninstall_db();
emercury_forms_uninstall_options();
